org.apache.cayenne.configuration.xml

## Class XMLDataMapLoader

- java.lang.Object
- - org.apache.cayenne.configuration.xml.XMLDataMapLoader

- All Implemented Interfaces:
    DataMapLoader

      public class XMLDataMapLoader
      extends Object
      implements DataMapLoader

  Since:
    3.1, 4.1 moved from org.apache.cayenne.configuration package

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HandlerFactory` | `handlerFactory`
    `protected Provider<XMLReader>` | `xmlReaderProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLDataMapLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataMap` | `load(Resource configurationResource)`
    `protected String` | `mapNameFromLocation(String location)` Helper method to guess the map name from its location.
    `void` | `setHandlerFactory(HandlerFactory handlerFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### handlerFactory

          protected HandlerFactory handlerFactory

    - #### xmlReaderProvider

          protected Provider<XMLReader> xmlReaderProvider

  - ### Constructor Detail

    - #### XMLDataMapLoader

          public XMLDataMapLoader()

  - ### Method Detail

    - #### load

          public DataMap load(Resource configurationResource)
                       throws CayenneRuntimeException

      Specified by:
        `load` in interface `DataMapLoader`
      Throws:
        `CayenneRuntimeException`

    - #### mapNameFromLocation

          protected String mapNameFromLocation(String location)

      Helper method to guess the map name from its location.

    - #### setHandlerFactory

          public void setHandlerFactory(HandlerFactory handlerFactory)

Copyright © 2001–2021 Apache Cayenne. All rights reserved.